unordered_set.h File Reference

Go to the source code of this file.

## Classes

class | std::unordered_multiset< _Value, _Hash, _Pred, _Alloc >
class | std::unordered_set< _Value, _Hash, _Pred, _Alloc >

## Namespaces

namespace | std

## Typedefs

template<typename _Value, typename _Hash = hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>, typename _Tr = __umset_traits<__cache_default<_Value, _Hash>::value>>
using | std::__umset_hashtable
template<bool _Cache>
using | std::__umset_traits
template<typename _Value, typename _Hash = hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>, typename _Tr = __uset_traits<__cache_default<_Value, _Hash>::value>>
using | std::__uset_hashtable
template<bool _Cache>
using | std::__uset_traits

## Functions

template<class _Value, class _Hash, class _Pred, class _Alloc>
bool | std::operator!= (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<class _Value, class _Hash, class _Pred, class _Alloc>
bool | std::operator!= (const unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
template<class _Value, class _Hash, class _Pred, class _Alloc>
bool | std::operator== (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<class _Value, class _Hash, class _Pred, class _Alloc>
bool | std::operator== (const unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
template<class _Value, class _Hash, class _Pred, class _Alloc>
void | std::swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<class _Value, class _Hash, class _Pred, class _Alloc>
void | std::swap (unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, unordered_set< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <unordered_set>.

Definition in file unordered_set.h.